#if !defined(__RAID_CMD_HANDLER_H__)
#define __RAID_CMD_HANDLER_H__

void raid_return_request(PRAID_Core pRaidCore, PMV_Request pMvReq, MV_U8 statusCode, MV_U8 senseCode);
void raid_invalid_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_request_handler(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_request_complete(PRAID_Core pRaidCore, PRAID_Request pRaidReq);
void raid_scsi_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_bga_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_mgmt_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_ld_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_block_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_adapter_command(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_os_req_handler(PRAID_Core pRaidCore, PMV_Request pMvReq);
void raid_bga_req_handler(PRAID_Core pRaidCore, PMV_Request pMvReq);

#endif /* __RAID_CMD_HANDLER_H__ */

