#ifndef __RAID_DDF_H__
#define __RAID_DDF_H__

void DDF_create_block_disk(PRAID_Core pRaidCore, MV_U8 pdIdx);

void raid_ddf_callback_update_ld_quick_init(MV_PVOID ModulePointer, PMV_Request pMvReq);
void raid_ddf_callback_update_ld_mgmt_req(MV_PVOID ModulePointer, PMV_Request pMvReq);
void raid_ddf_callback_update_ld_io_req(MV_PVOID ModulePointer, PMV_Request pMvReq);

void raid_ddf_power_on(PRAID_Core pRaidCore);
MV_U8 raid_ddf_update_ld(
	PRAID_Core pRaidCore,
	PMV_Request pOrgMvReq,
	MV_U8 ldId,
	void (*callback_handler)(MV_PVOID, PMV_Request)
);
MV_U8 raid_ddf_delete_ld(PRAID_Core pRaidCore, PMV_Request pOrgMvReq, MV_U8 ldId);
MV_U8 raid_ddf_update_pd(PRAID_Core pRaidCore, PMV_Request pOrgMvReq);
MV_U8 raid_ddf_plug_in_pd(PRAID_Core pRaidCore, MV_U8 pdIdx);

void raid_internal_request_delete_ld(PRAID_Core pRaidCore, MV_U8 ldId);

#endif
