#if !defined(__RAID_1_H__)
#define __RAID_1_H__

void raid1_get_lock_range(
	PRAID_Core		pRaidCore,
	PRAID_Layout	pRaidLayout,
	PRAID_Request	pRaidReq,
	MV_LBA *		startLBA,
	MV_LBA *		endLBA
);

MV_U8 raid1_map(
	PRAID_Core		pRaidCore, 
	PRAID_Layout	pRaidLayout, 
	PRAID_Request	pRaidReq,
	PStripe_Info	pStripeNode,
	MV_PU32			pDataOffset,
	MV_LBA			startLBA, 
	MV_LBA			endLBA
);

MV_U8 raid1_generate_sequence(
	PRAID_Core		pRaidCore,
	PRAID_Layout	pRaidLayout,
	PRAID_Request	pRaidReq,
	PStripe_Info	pStripeNode,
	PMV_SG_Entry	*p_pOrgSGEntry,
	MV_PU32			pOffsetInByte
);

#endif /* __RAID_1_H__ */
