#if !defined(__RAID_BGA_H__)
#define __RAID_BGA_H__

MV_U8 raid_bga_rebuild_parameter_check(
	PRAID_Core pRaidCore, 
	PRAID_Configure pRaidConf, 
	MV_U16 targetDeviceId,
	MV_PU8 pRDiskIdx,
	MV_PU8 pRebuildBlkIdx
);

MV_U8 raid_bga_rebuild_start(
	PRAID_Core pRaidCore, 
	MV_U8 BGAControl,
	MV_U8 LD_ID, 
	MV_U8 rDiskIdx,
	MV_U8 rebuildBlkIdx,
	MV_U8 handleFlag
);

MV_U8 raid_bga_sync_parameter_check(PRAID_Configure pRaidConf, MV_U8 syncType);
MV_U8 raid_bga_sync_start(
	PRAID_Core pRaidCore, 
	MV_U8 BGAControl, 
	MV_U8 ldId, 
	MV_U8 syncType,
	MV_U8 handleFlag
);

MV_U8 raid_bga_init_parameter_check(PRAID_Configure pRaidConf, MV_U8 initType);
MV_U8 raid_bga_init_start(
	PRAID_Core	pRaidCore, 
	MV_U8		BGAControl, 
	MV_U8		ldId, 
	MV_U8		initType,
	MV_U8		handleFlag,
	PMV_Request	pOrgMvReq
);

PMV_Request raid_bga_get_request(PRAID_Core pRaidCore);
void raid_bga_resume_for_ld(PRAID_Core pRaidCore, MV_U8 ldId);
MV_U8 raid_bga_construct_request(PRAID_Core pRaidCore,PMV_Request pMvReq);
void raid_check_bga_status(PRAID_Core pRaidCore, PRAID_Configure pRaidConf, MV_U8 powerOnFlag);
void raid_bga_auto_pause_all(PRAID_Core pRaidCore, PMV_Request pMvReq);

#endif
