#if !defined(__RAID_EXPOSE_H__)
#define __RAID_EXPOSE_H__

MV_U32 RAID_ModuleGetResourceRequirement(enum Resource_Type type, MV_U16 MaxOutstandingIO);
void RAID_ModuleInitialize(MV_PVOID, MV_U32, MV_U16);
void RAID_ModuleStart(MV_PVOID);
void RAID_ModuleStop(MV_PVOID);
void RAID_ModuleNotification(MV_PVOID, enum Module_Event, MV_PVOID);
void RAID_ModuleSubmitRequest(MV_PVOID ModulePointer, PMV_Request pMvReq);
void RAID_ModuleReset(MV_PVOID);
void RAID_ModuleBist(MV_PVOID);

MV_PU8 raid_physical_to_virtual(MV_PVOID ModulePointer, MV_U32 phyAddrLow);


/* added by Harriet - need this to fill in Block IDs during GetHD_Info */
// Will remove it after pd move to core driver
void RAID_GetBlockIDForHD( MV_PVOID ModulePointer, MV_U16 HDID, MV_PU16 BlockIDs );

#if 0
void RAID_ReportError( MV_PVOID ModulePointer, PMV_Request pMvReq, MV_U16 ErrorCode );	//??
void RAID_check_status(MV_PVOID ModulePointer);		// just for testing
#endif

#endif

