/*
 *  Yet another header added to solve the dependence hell
 *
 *
 *  July 6th, 2006 A.C. <ake at marvell dot com>
 *
 */
#ifndef __LINUX_HELPER_H__
#define __LINUX_HELPER_H__

#include "mv_os.h"
#include "osd_header.h"

MV_BOOLEAN TranslateOSRequest( IN POSD_Extension pOSD,
			       IN struct scsi_cmnd * pSCmd,
			       OUT PMV_Request pReq );

void OSDRequestCallback( MV_PVOID This,
			 PMV_Request pReq );



void GenerateSGTable( IN POSD_Extension pOSD,
		      IN struct scsi_cmnd *SCpnt,
		      OUT PMV_SG_Table pSGTable );


MV_BOOLEAN TranslateSCSIRequest(POSD_Extension pOSD, 
				struct scsi_cmnd *pSCmd, 
				PMV_Request pReq );

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 11)
int __osd_wait_for_atomic_timeout(atomic_t *atomic, unsigned long timeout);
#endif /* LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 11) */

void osd_send_shutdown_req(POSD_Extension posd);
void OSD_HandleWaitingList(POSD_Extension pOSD);
#endif /*__LINUX_HELPER_H__*/

